Package tigase.cluster.api

# Interface SessionManagerClusteredIfc

All Superinterfaces:
  `SessionManagerHandler`

All Known Implementing Classes:
  `SessionManagerClustered`

public interface SessionManagerClusteredIfc extends SessionManagerHandler

Author:
  kobit

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SESSION_FOUND_KEY`

  ### Fields inherited from interface tigase.server.xmppsession.SessionManagerHandler

  `COMMIT_HANDLER_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `fastAddOutPacket(Packet packet)`
  `JID`
  `getComponentId()`
  `List<JID>`
  `getNodesConnected()`
  `XMPPResourceConnection`
  `getXMPPResourceConnection(Packet el_packet)`
  `ConcurrentHashMap<JID,XMPPResourceConnection>`
  `getXMPPResourceConnections()`
  `ConcurrentHashMap<BareJID,XMPPSession>`
  `getXMPPSessions()`
  `boolean`
  `hasXMPPResourceConnectionForConnectionJid(JID connJid)`
  Method to check if there is XMPPResourceConnection instance for connection JID.
  `void`
  `processPacket(Packet el_packet, XMPPResourceConnection conn)`
  `void`
  `processPresenceUpdate(XMPPSession session, Element element)`

  ### Methods inherited from interface tigase.server.xmppsession.SessionManagerHandler

  `handleDomainChange, handleLogin, handleLogout, handlePresenceSet, handleResourceBind, isLocalDomain`

- ## Field Details

  - ### SESSION_FOUND_KEY

    static final String SESSION_FOUND_KEY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### fastAddOutPacket

    boolean fastAddOutPacket(Packet packet)

  - ### processPacket

    void processPacket(Packet el_packet, XMPPResourceConnection conn)

  - ### processPresenceUpdate

    void processPresenceUpdate(XMPPSession session, Element element)

  - ### getXMPPResourceConnection

    XMPPResourceConnection getXMPPResourceConnection(Packet el_packet)

  - ### getXMPPResourceConnections

    ConcurrentHashMap<JID,XMPPResourceConnection> getXMPPResourceConnections()

  - ### getXMPPSessions

    ConcurrentHashMap<BareJID,XMPPSession> getXMPPSessions()

  - ### hasXMPPResourceConnectionForConnectionJid

    boolean hasXMPPResourceConnectionForConnectionJid(JID connJid)
    Method to check if there is XMPPResourceConnection instance for connection JID.
    Returns:
      true - if there is XMPPResourceConnection for connection JID

  - ### getComponentId

    JID getComponentId()
    Specified by:
      `getComponentId` in interface `SessionManagerHandler`

  - ### getNodesConnected

    List<JID> getNodesConnected()